use crate::notification::Notification;
use serde_json::{json, Value};


impl Notification {
    // Json format, useful for data exchange
    pub fn json(&self) {
        // Actions
        let actions: Value = if self.actions().is_empty() {
            "None".into()
        } else {
            self.actions().into()
        };
        json!({"actions": actions})
    }

}